%define name 	bakery
%define version 2.4.1
%define release %mkrel 2

%define api 2.4
%define major 	1
%define libname %mklibname %name %{api}_%major

Summary: 	C++ Framework for Document-based GNOME applications
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://bakery.sourceforge.net/
License: 	GPL
Group: 		System/Libraries
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRequires:	gtkmm2.4-devel gconfmm2.6-devel libglademm-devel >= 2.4 
BuildRequires:	libxml++-devel >= 2.6 gnome-vfsmm2.6-devel
BuildRequires:	libexpat-devel
BuildRequires:	libsm-devel
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n	%libname
Group:		System/Libraries
Summary:	C++ Framework for document-based GNOME applications

%description -n %libname
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n %libname-devel
Group:          Development/C++
Summary:        Static libraries and header files from %name
Provides:       %name-devel = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	libbakery%{api}-devel = %version-%release
Requires:       %libname = %version

%description -n %libname-devel
Static libraries and headers from %name.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_libdir/libbakery-%{api}-%{api}.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc docs/*.html
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/*.pc
%_includedir/%name-2.4/%name/*


%changelog
* Wed Dec 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-2mdv2007.0
+ Revision: 102166
- bump
- fix buildrequires
- Import bakery



* Sat Dec 23 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2007.1
- New version 2.4.1

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2007.0
- rebuild for new cairomm

* Mon Aug  7 2006 Gtz Waschk <waschk@mandriva.org> 2.4.0-3mdv2007.0
- fix buildrequires

* Sun Jul 30 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2007.0
- Rebuild

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 2.4.0-1mdk
- new major
- New release 2.4.0

* Sun Mar 26 2006 Gtz Waschk <waschk@mandriva.org> 2.3.18-1mdk
- new major

* Sun Mar 26 2006 Götz Waschk <waschk@mandriva.org> 2.3.18-1mdk
- New release 2.3.18

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 2.3.17-1mdk
- new major
- New release 2.3.17

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.3.16-1mdk
- New release 2.3.16
- use mkrel

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 2.3.15-1mdk
- new major
- drop patch
- New release 2.3.15

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 2.3.14-2mdk
- fix for gcc 4.0

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.3.14-1mdk
- New release 2.3.14

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.3.13-2mdk
- fix deps

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.13-1mdk
- new major
- New release 2.3.13

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.12-1mdk
- new major
- New release 2.3.12

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.11-3mdk 
- Rebuild with latest howl

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.11-2mdk
- rebuild for new libxml++

* Thu Dec  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.11-1mdk
- New release 2.3.11

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.10-1mdk
- new major
- New release 2.3.10

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.9-1mdk
- new major
- New release 2.3.9

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.8-1mdk
- increase major
- fix buildrequires
- add source URL
- New release 2.3.8

* Thu Jul 15 2004 Austin Acton <austin@mandrake.org> 2.3.5-1mdk
- initial release
